Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class PegInstruction

    java.lang.Object
      com.fxcm.fix.PegInstruction

All Implemented Interfaces:
  Serializable

    public class PegInstruction

extends Object
implements Serializable

Note that Pegged orders are specified by the use of OrdType (40) (to denote that the order is a pegged order) and ExecInst (18) (to specify what price the order is pegged to).

See Also:
  Serialized Form

Field Summary
`static com.fxcm.entity.ICode` | `OBJ_TYPE`

Constructor Summary
`PegInstruction()`

Method Summary
`int` | `getFXCMPegFluctuatePts()` Specifies the number trailing stop fluctuating points
`int` | `getPegMoveType()` Describes whether peg is at market or trail stop
`int` | `getPegOffsetType()` Type of Peg Offset (e.g. price offset, tick offset etc)
`double` | `getPegOffsetValue()` Amount (signed) added to the peg for a pegged order in the context of the PegOffsetType
`int` | `getPegPriceType()` Defines the type of peg.
`boolean` | `isTrailingStopPegOrder()` True if Peg Instructions is TRAIL_STOP
`void` | `setFXCMPegFluctuatePts(int aFXCMPegFluctuatePts)` Specifies the number trailing stop fluctuating points
`void` | `setPegMoveType(int aPegMoveType)` Describes whether peg is at market or trail stop
`void` | `setPegOffsetType(int aPegOffsetType)`
`void` | `setPegOffsetValue(double aPegOffsetValue)` Amount (signed) added to the peg for a pegged order in the context of the PegOffsetType
`void` | `setPegPriceType(int aPegPriceType)` Defines the type of peg.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBJ_TYPE

    public static final com.fxcm.entity.ICode OBJ_TYPE

Constructor Detail

### PegInstruction

    public PegInstruction()

Method Detail

### getFXCMPegFluctuatePts

    public int getFXCMPegFluctuatePts()

  Specifies the number trailing stop fluctuating points

### setFXCMPegFluctuatePts

    public void setFXCMPegFluctuatePts(int aFXCMPegFluctuatePts)

  Specifies the number trailing stop fluctuating points

  Parameters:
    `aFXCMPegFluctuatePts` -

### getPegMoveType

    public int getPegMoveType()

  Describes whether peg is at market or trail stop

  See Also:
    `PegInstruction#TRAIL_STOP`

### setPegMoveType

    public void setPegMoveType(int aPegMoveType)

  Describes whether peg is at market or trail stop

  Parameters:
    `aPegMoveType` -
  See Also:
    `PegInstruction#TRAIL_STOP`

### getPegOffsetType

    public int getPegOffsetType()

  Type of Peg Offset (e.g. price offset, tick offset etc)

### setPegOffsetType

    public void setPegOffsetType(int aPegOffsetType)

  Parameters:
    `aPegOffsetType` -

### getPegOffsetValue

    public double getPegOffsetValue()

  Amount (signed) added to the peg for a pegged order in the context of the PegOffsetType

### setPegOffsetValue

    public void setPegOffsetValue(double aPegOffsetValue)

  Amount (signed) added to the peg for a pegged order in the context of the PegOffsetType

  Parameters:
    `aPegOffsetValue` -

### getPegPriceType

    public int getPegPriceType()

  Defines the type of peg. Valid values: '1' Last peg (last sale) '2' Mid-price peg (midprice of inside quote) '3' Opening peg '4' Market peg '5' Primary peg (primary market - buy at bid or sell at offer) '6' Fixed Peg to Local best bid or offer at time of order '7' Peg to VWAP '8' Trailing Stop Peg '9' Peg to Limit Price

  Returns:

### setPegPriceType

    public void setPegPriceType(int aPegPriceType)

  Defines the type of peg. Valid values: '1' Last peg (last sale) '2' Mid-price peg (midprice of inside quote) '3' Opening peg '4' Market peg '5' Primary peg (primary market - buy at bid or sell at offer) '6' Fixed Peg to Local best bid or offer at time of order '7' Peg to VWAP '8' Trailing Stop Peg '9' Peg to Limit Price

  Parameters:
    `aPegPriceType` -

### isTrailingStopPegOrder

    public boolean isTrailingStopPegOrder()

  True if Peg Instructions is TRAIL_STOP

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.